#version 150 core

uniform sampler2D colorTexture;

uniform vec4 color;

in  vec3 ex_color;
in vec2 texCoordout;
out vec4 out_color;

void main(void)
{
	vec4 texel = texture2D(colorTexture, texCoordout);
	out_color = texel*color*vec4(0.1f,0.1f,0.1f,0.2f);
}