#version 150 core

uniform mat4 modelMatrix;
uniform sampler2D colorTexture;

in vec4 in_position;
in vec2 in_texCoord;
out vec2 texCoordout;

void main(void)
{
	vec4 vert =  modelMatrix * in_position;
	gl_Position = vert;
	texCoordout = in_texCoord;
}
