#version 150 core

uniform sampler2D colorTexture;

in  vec3 ex_color;
in vec2 texCoordout;
out vec4 out_color;

void main(void)
{
	vec4 texel = texture2D(colorTexture, texCoordout);
	out_color = vec4(ex_color,1.0) * texel;
}
