#version 150 core

uniform sampler2D colorTexture;
uniform float playerowned;

in  vec3 ex_color;
in vec2 texCoordout;
out vec4 out_color;

void main(void)
{
	vec4 texel = texture2D(colorTexture, texCoordout);
	if (playerowned == 0.0 )
	{
		if (texel.x + texel.y + texel.z > 0.9f)
		{
			texel.y -= 0.5;
			texel.z -= 0.5;
		}
		else
		{
			texel.x = 0.5 + 100 * texel.x;
			texel.y = 0.01 * texel.y;
			texel.z = 0.01 * texel.z;
		}
	}
	out_color = texel;
}